Package twisted :: Package conch :: Package ui :: Module ansi

[show private | hide private]
[frames | no frames]

## Module twisted.conch.ui.ansi

Module to parse ANSI escape sequences

Maintainer: U(Jean-Paul Calderone <exarkun@twistedmatrix.com>

Classes
`AnsiParser` | Parser class for ANSI codes.
`ColorText` | Represents an element of text along with the texts colors and additional attributes.

Variable Summary
`str` | `r`
`dict` | `_setmap`
`str` | `_sets`

Variable Details

### r

  Type:
    `str`
  Value:

        'm'

### _setmap

  Type:
    `dict`
  Value:

        {'A': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'B': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'C': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'D': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'G': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'H': ('H', 'f', 'A', 'B', 'C', 'D', 'R', 's', 'u', 'd', 'G'),
         'J': ('J', 'K', 'P'),
         'K': ('J', 'K', 'P'),
        ...

### _sets

  Type:
    `str`
  Value:

        'HfABCDRsudGJKPhlpm'

Generated by Epydoc 1.1 on Thu May 8 13:18:20 2003 | http://epydoc.sf.net